org.apache.tomcat.websocket

## Class Constants

- java.lang.Object
- - org.apache.tomcat.websocket.Constants

-     public class Constants
      extends Object

  Internal implementation constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BLOCKING_SEND_TIMEOUT_PROPERTY`
    `static String` | `CONNECTION_HEADER_NAME`
    `static String` | `CONNECTION_HEADER_VALUE`
    `static long` | `DEFAULT_BLOCKING_SEND_TIMEOUT`
    `static int` | `FOUND`
    `static String` | `HOST_HEADER_NAME`
    `static List<Extension>` | `INSTALLED_EXTENSIONS`
    `static long` | `IO_TIMEOUT_MS_DEFAULT`
    `static String` | `IO_TIMEOUT_MS_PROPERTY` Property name to set to configure the timeout (in milliseconds) when establishing a WebSocket connection to server.
    `static String` | `LOCATION_HEADER_NAME`
    `static int` | `MAX_REDIRECTIONS_DEFAULT`
    `static String` | `MAX_REDIRECTIONS_PROPERTY`
    `static int` | `MOVED_PERMANENTLY`
    `static int` | `MULTIPLE_CHOICES`
    `static byte` | `OPCODE_BINARY`
    `static byte` | `OPCODE_CLOSE`
    `static byte` | `OPCODE_CONTINUATION`
    `static byte` | `OPCODE_PING`
    `static byte` | `OPCODE_PONG`
    `static byte` | `OPCODE_TEXT`
    `static String` | `ORIGIN_HEADER_NAME`
    `static int` | `SEE_OTHER`
    `static String` | `SSL_CONTEXT_PROPERTY` Property name to set to configure used SSLContext.
    `static String` | `SSL_PROTOCOLS_PROPERTY` Property name to set to configure the value that is passed to `SSLEngine.setEnabledProtocols(String[])`.
    `static String` | `SSL_TRUSTSTORE_PROPERTY`
    `static String` | `SSL_TRUSTSTORE_PWD_DEFAULT`
    `static String` | `SSL_TRUSTSTORE_PWD_PROPERTY`
    `static boolean` | `STRICT_SPEC_COMPLIANCE`
    `static int` | `TEMPORARY_REDIRECT`
    `static String` | `UPGRADE_HEADER_NAME`
    `static String` | `UPGRADE_HEADER_VALUE`
    `static int` | `USE_PROXY`
    `static String` | `WS_EXTENSIONS_HEADER_NAME`
    `static String` | `WS_KEY_HEADER_NAME`
    `static String` | `WS_PROTOCOL_HEADER_NAME`
    `static String` | `WS_VERSION_HEADER_NAME`
    `static String` | `WS_VERSION_HEADER_VALUE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPCODE_CONTINUATION

          public static final byte OPCODE_CONTINUATION

      See Also:
        Constant Field Values

    - #### OPCODE_TEXT

          public static final byte OPCODE_TEXT

      See Also:
        Constant Field Values

    - #### OPCODE_BINARY

          public static final byte OPCODE_BINARY

      See Also:
        Constant Field Values

    - #### OPCODE_CLOSE

          public static final byte OPCODE_CLOSE

      See Also:
        Constant Field Values

    - #### OPCODE_PING

          public static final byte OPCODE_PING

      See Also:
        Constant Field Values

    - #### OPCODE_PONG

          public static final byte OPCODE_PONG

      See Also:
        Constant Field Values

    - #### SSL_PROTOCOLS_PROPERTY

          public static final String SSL_PROTOCOLS_PROPERTY

      Property name to set to configure the value that is passed to `SSLEngine.setEnabledProtocols(String[])`. The value should be a comma separated string.
      See Also:
        Constant Field Values

    - #### SSL_TRUSTSTORE_PROPERTY

          public static final String SSL_TRUSTSTORE_PROPERTY

      See Also:
        Constant Field Values

    - #### SSL_TRUSTSTORE_PWD_PROPERTY

          public static final String SSL_TRUSTSTORE_PWD_PROPERTY

      See Also:
        Constant Field Values

    - #### SSL_TRUSTSTORE_PWD_DEFAULT

          public static final String SSL_TRUSTSTORE_PWD_DEFAULT

      See Also:
        Constant Field Values

    - #### SSL_CONTEXT_PROPERTY

          public static final String SSL_CONTEXT_PROPERTY

      Property name to set to configure used SSLContext. The value should be an instance of SSLContext. If this property is present, the SSL_TRUSTSTORE* properties are ignored.
      See Also:
        Constant Field Values

    - #### IO_TIMEOUT_MS_PROPERTY

          public static final String IO_TIMEOUT_MS_PROPERTY

      Property name to set to configure the timeout (in milliseconds) when establishing a WebSocket connection to server. The default is `IO_TIMEOUT_MS_DEFAULT`.
      See Also:
        Constant Field Values

    - #### IO_TIMEOUT_MS_DEFAULT

          public static final long IO_TIMEOUT_MS_DEFAULT

      See Also:
        Constant Field Values

    - #### MAX_REDIRECTIONS_PROPERTY

          public static final String MAX_REDIRECTIONS_PROPERTY

      See Also:
        Constant Field Values

    - #### MAX_REDIRECTIONS_DEFAULT

          public static final int MAX_REDIRECTIONS_DEFAULT

      See Also:
        Constant Field Values

    - #### HOST_HEADER_NAME

          public static final String HOST_HEADER_NAME

      See Also:
        Constant Field Values

    - #### UPGRADE_HEADER_NAME

          public static final String UPGRADE_HEADER_NAME

      See Also:
        Constant Field Values

    - #### UPGRADE_HEADER_VALUE

          public static final String UPGRADE_HEADER_VALUE

      See Also:
        Constant Field Values

    - #### ORIGIN_HEADER_NAME

          public static final String ORIGIN_HEADER_NAME

      See Also:
        Constant Field Values

    - #### CONNECTION_HEADER_NAME

          public static final String CONNECTION_HEADER_NAME

      See Also:
        Constant Field Values

    - #### CONNECTION_HEADER_VALUE

          public static final String CONNECTION_HEADER_VALUE

      See Also:
        Constant Field Values

    - #### LOCATION_HEADER_NAME

          public static final String LOCATION_HEADER_NAME

      See Also:
        Constant Field Values

    - #### WS_VERSION_HEADER_NAME

          public static final String WS_VERSION_HEADER_NAME

      See Also:
        Constant Field Values

    - #### WS_VERSION_HEADER_VALUE

          public static final String WS_VERSION_HEADER_VALUE

      See Also:
        Constant Field Values

    - #### WS_KEY_HEADER_NAME

          public static final String WS_KEY_HEADER_NAME

      See Also:
        Constant Field Values

    - #### WS_PROTOCOL_HEADER_NAME

          public static final String WS_PROTOCOL_HEADER_NAME

      See Also:
        Constant Field Values

    - #### WS_EXTENSIONS_HEADER_NAME

          public static final String WS_EXTENSIONS_HEADER_NAME

      See Also:
        Constant Field Values

    - #### MULTIPLE_CHOICES

          public static final int MULTIPLE_CHOICES

      See Also:
        Constant Field Values

    - #### MOVED_PERMANENTLY

          public static final int MOVED_PERMANENTLY

      See Also:
        Constant Field Values

    - #### FOUND

          public static final int FOUND

      See Also:
        Constant Field Values

    - #### SEE_OTHER

          public static final int SEE_OTHER

      See Also:
        Constant Field Values

    - #### USE_PROXY

          public static final int USE_PROXY

      See Also:
        Constant Field Values

    - #### TEMPORARY_REDIRECT

          public static final int TEMPORARY_REDIRECT

      See Also:
        Constant Field Values

    - #### BLOCKING_SEND_TIMEOUT_PROPERTY

          public static final String BLOCKING_SEND_TIMEOUT_PROPERTY

      See Also:
        Constant Field Values

    - #### DEFAULT_BLOCKING_SEND_TIMEOUT

          public static final long DEFAULT_BLOCKING_SEND_TIMEOUT

      See Also:
        Constant Field Values

    - #### STRICT_SPEC_COMPLIANCE

          public static final boolean STRICT_SPEC_COMPLIANCE

    - #### INSTALLED_EXTENSIONS

          public static final List<Extension> INSTALLED_EXTENSIONS

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.